name: portfolio

services:
  portfolio:
    build:
      context: /mnt/HDD/nextjs/portfolio
      dockerfile: Dockerfile
      args:
        NEXT_PUBLIC_RECAPTCHA_SITE_KEY: 6Lfx_VIsAAAAAKi_H46P2qpcvZAO9RHG-0p5NHOm
    env_file:
      - .env.production
    environment:
      NODE_ENV: production
      RECAPTCHA_SECRET_KEY: 6Lfx_VIsAAAAAM97kz2dS9kKToyBbl87tqHKVTdQ
    command: npm run start
    expose:
      - "3000"
    networks:
      proxy: null
    restart: unless-stopped

networks:
  default:
    name: portfolio_default
  proxy:
    name: proxy
    external: true
x-casaos:
    is_uncontrolled: false
    title:
        en_us: Portfolio
    icon: https://static.vecteezy.com/system/resources/thumbnails/003/731/316/small/web-icon-line-on-white-background-image-for-web-presentation-logo-icon-symbol-free-vector.jpg
    port_map: "3000"